Criar uma página
curl --request POST \
--url https://api.olie.ai/api/management/forums/{forum_id}/threads \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Escopo e entregas",
"order": 0,
"parent_id": null
}
'import requests
url = "https://api.olie.ai/api/management/forums/{forum_id}/threads"
payload = {
"name": "Escopo e entregas",
"order": 0,
"parent_id": None
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Escopo e entregas', order: 0, parent_id: null})
};
fetch('https://api.olie.ai/api/management/forums/{forum_id}/threads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.olie.ai/api/management/forums/{forum_id}/threads",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Escopo e entregas',
'order' => 0,
'parent_id' => null
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.olie.ai/api/management/forums/{forum_id}/threads"
payload := strings.NewReader("{\n \"name\": \"Escopo e entregas\",\n \"order\": 0,\n \"parent_id\": null\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.olie.ai/api/management/forums/{forum_id}/threads")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Escopo e entregas\",\n \"order\": 0,\n \"parent_id\": null\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.olie.ai/api/management/forums/{forum_id}/threads")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Escopo e entregas\",\n \"order\": 0,\n \"parent_id\": null\n}"
response = http.request(request)
puts response.read_body{
"response": true,
"thread": {
"name": "Escopo e entregas",
"order": 0,
"forum_id": "3f6b2a1c-9d8e-4f7a-b6c5-d4e3f2a1b0c9",
"parent_id": null,
"updated_at": "2026-11-09T14:22:05.000000Z",
"created_at": "2026-11-09T14:22:05.000000Z",
"id": 1204
}
}{
"response": false,
"message": "permission_required",
"error": "An permission is required to that action",
"permission": "projects.edit.8a1f2b3c-4d5e-6f7a-8b9c-0d1e2f3a4b5c"
}{
"response": false,
"message": "forum_model_not_found",
"error": "No query results for model [App\\Models\\Forum] 3f6b2a1c-9d8e-4f7a-b6c5-d4e3f2a1b0c9"
}{
"response": false,
"message": "validation_errors",
"error": "O campo order é obrigatório.",
"validation": {
"order": [
"O campo order é obrigatório."
]
}
}forums
Criar uma página
Cria uma página no Caderno, com o conteúdo vazio (versão 1). Envie parent_id para criar uma subpágina. Aceita token de aplicação.
POST
/
api
/
management
/
forums
/
{forum_id}
/
threads
Criar uma página
curl --request POST \
--url https://api.olie.ai/api/management/forums/{forum_id}/threads \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Escopo e entregas",
"order": 0,
"parent_id": null
}
'import requests
url = "https://api.olie.ai/api/management/forums/{forum_id}/threads"
payload = {
"name": "Escopo e entregas",
"order": 0,
"parent_id": None
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Escopo e entregas', order: 0, parent_id: null})
};
fetch('https://api.olie.ai/api/management/forums/{forum_id}/threads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.olie.ai/api/management/forums/{forum_id}/threads",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Escopo e entregas',
'order' => 0,
'parent_id' => null
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.olie.ai/api/management/forums/{forum_id}/threads"
payload := strings.NewReader("{\n \"name\": \"Escopo e entregas\",\n \"order\": 0,\n \"parent_id\": null\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.olie.ai/api/management/forums/{forum_id}/threads")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Escopo e entregas\",\n \"order\": 0,\n \"parent_id\": null\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.olie.ai/api/management/forums/{forum_id}/threads")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Escopo e entregas\",\n \"order\": 0,\n \"parent_id\": null\n}"
response = http.request(request)
puts response.read_body{
"response": true,
"thread": {
"name": "Escopo e entregas",
"order": 0,
"forum_id": "3f6b2a1c-9d8e-4f7a-b6c5-d4e3f2a1b0c9",
"parent_id": null,
"updated_at": "2026-11-09T14:22:05.000000Z",
"created_at": "2026-11-09T14:22:05.000000Z",
"id": 1204
}
}{
"response": false,
"message": "permission_required",
"error": "An permission is required to that action",
"permission": "projects.edit.8a1f2b3c-4d5e-6f7a-8b9c-0d1e2f3a4b5c"
}{
"response": false,
"message": "forum_model_not_found",
"error": "No query results for model [App\\Models\\Forum] 3f6b2a1c-9d8e-4f7a-b6c5-d4e3f2a1b0c9"
}{
"response": false,
"message": "validation_errors",
"error": "O campo order é obrigatório.",
"validation": {
"order": [
"O campo order é obrigatório."
]
}
}Authorizations
Body
application/json
Was this page helpful?